Bug 914296 - perl-Mail-GnuPG: FTBFS in rawhide
perl-Mail-GnuPG: FTBFS in rawhide
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Mail-GnuPG (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On: 912991
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 04:58 EST by Dennis Gilmore
Modified: 2013-05-27 08:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Mail-GnuPG-0.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 08:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-02-22 04:58:22 EST
Your package perl-Mail-GnuPG failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4972656

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/2656/4972656/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/2656/4972656/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/2656/4972656/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Ralf Corsepius 2013-02-22 23:12:25 EST
This FTBFS is due to changes in GnuPG::Interface
https://bugzilla.redhat.com/show_bug.cgi?id=914296

Reported upstream GnuPG::Interface and Mail::GnuPG. GnuPG::Interface upstream responded and outlined a fix, but Mail::GnuPG hasn't.

c.f. https://rt.cpan.org/Public/Bug/Display.html?id=83465
I for one don't feel sufficiently familiar with these packages to be able to address this issue.

As no further package in Fedora depends on this packages, if "all else fail", this package is likely to be removed from Fedora.
Comment 2 Ralf Corsepius 2013-02-22 23:48:35 EST
(In reply to comment #1)
> This FTBFS is due to changes in GnuPG::Interface
> https://bugzilla.redhat.com/show_bug.cgi?id=914296
Typo, this should have been: https://bugzilla.redhat.com/show_bug.cgi?id=912991
Comment 3 Fedora End Of Life 2013-04-03 13:13:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Mat Booth 2013-05-27 08:43:29 EDT
perl-Mail-GnuPG-0.19-1 has now been built for F19 and rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=416301
http://koji.fedoraproject.org/koji/buildinfo?buildID=416294

Note You need to log in before you can comment on or make changes to this bug.